# Class AuthorizationDataEntry

java.lang.Object
com.sun.security.jgss.AuthorizationDataEntry

public final class AuthorizationDataEntry extends Object
Kerberos 5 AuthorizationData entry.

Since:
  1.7

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationDataEntry(int type, byte[] data)`
Create an AuthorizationDataEntry object.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getData()`
Get a copy of the ad-data field.
`int`
`getType()`
Get the ad-type field.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizationDataEntry

public AuthorizationDataEntry(int type, byte[] data)
Create an AuthorizationDataEntry object.

Parameters:
  `type` - the ad-type
  `data` - the ad-data, a copy of the data will be saved inside the object.

## Method Details

### getType

public int getType()
Get the ad-type field.

Returns:
  ad-type

### getData

public byte[] getData()
Get a copy of the ad-data field.

Returns:
  ad-data